# Class: YARD::Handlers::Ruby::MethodCallWrapper

Inherits:
  HandlesExtension
  - Object
  - HandlesExtension
  - YARD::Handlers::Ruby::MethodCallWrapper
  show all

Defined in:
  lib/yard/handlers/ruby/base.rb

## Instance Method Summary collapse

- #matches?(node) ⇒ Boolean

## Constructor Details

This class inherits a constructor from YARD::Handlers::Ruby::HandlesExtension

## Instance Method Details

### #matches?(node) ⇒ `Boolean`

Returns:

- (`Boolean`)

    38
    39
    40
    41
    42
    43
    44
    45
    46
    47
    48
    49
    50

    # File 'lib/yard/handlers/ruby/base.rb', line 38

    def matches?(node)
      case node.type
      when :var_ref
        if !node.parent || node.parent.type == :list
          return true if node[0].type == :ident && (name.nil? || node[0][0] == name)
        end
      when :fcall, :command, :vcall
        return true if name.nil? || node[0][0] == name
      when :call, :command_call
        return true if name.nil? || node[2][0] == name
      end
      false
    end